package com.bocloud.cmp.model.kubernetes;

import java.util.List;

/**
 * @author 作者
 * @version 创建时间：2019年8月22日 上午10:11:32 类说明
 */
public class KubernetesSyncModel {
    private List<NamespaceModel> namespaceModels;
    private List<NodeModel> nodeModels;
    private List<PodModel> podModels;
    private List<ServiceModel> serviceModels;
    private List<DeploymentModel> deploymentModels;
    private List<PersistentVolumeModel> persistentModels;
    private List<DaemonSetModel> daemonSetModels;
    private List<PersistentVolumeClaimModel> persistentVolumeClaimModels;
    private List<SecretModel> secretModels;

    public List<NamespaceModel> getNamespaceModels() {
        return namespaceModels;
    }

    public void setNamespaceModels(List<NamespaceModel> namespaceModels) {
        this.namespaceModels = namespaceModels;
    }

    public List<NodeModel> getNodeModels() {
        return nodeModels;
    }

    public void setNodeModels(List<NodeModel> nodeModels) {
        this.nodeModels = nodeModels;
    }

    public List<PodModel> getPodModels() {
        return podModels;
    }

    public void setPodModels(List<PodModel> podModels) {
        this.podModels = podModels;
    }

    public List<ServiceModel> getServiceModels() {
        return serviceModels;
    }

    public void setServiceModels(List<ServiceModel> serviceModels) {
        this.serviceModels = serviceModels;
    }

    public List<DeploymentModel> getDeploymentModels() {
        return deploymentModels;
    }

    public void setDeploymentModels(List<DeploymentModel> deploymentModels) {
        this.deploymentModels = deploymentModels;
    }

    public List<PersistentVolumeModel> getPersistentModels() {
        return persistentModels;
    }

    public void setPersistentModels(List<PersistentVolumeModel> persistentModels) {
        this.persistentModels = persistentModels;
    }

    public List<DaemonSetModel> getDaemonSetModels() {
        return daemonSetModels;
    }

    public void setDaemonSetModels(List<DaemonSetModel> daemonSetModels) {
        this.daemonSetModels = daemonSetModels;
    }

    public List<PersistentVolumeClaimModel> getPersistentVolumeClaimModels() {
        return persistentVolumeClaimModels;
    }

    public void setPersistentVolumeClaimModels(List<PersistentVolumeClaimModel> persistentVolumeClaimModels) {
        this.persistentVolumeClaimModels = persistentVolumeClaimModels;
    }

    public List<SecretModel> getSecretModels() {
        return secretModels;
    }

    public void setSecretModels(List<SecretModel> secretModels) {
        this.secretModels = secretModels;
    }
}
